# FairMQ: fair::mq::tools::Semaphore Struct Reference

fair::mq::tools::Semaphore Struct Reference

A simple blocking semaphore. More...

`#include <fairmq/tools/Semaphore.h>`

## Public Member Functions

| Semaphore (std::size_t initial_count)
auto | Wait () -> void
auto | Signal () -> void
auto | GetCount () const -> std::size_t

## Detailed Description

A simple blocking semaphore.

The documentation for this struct was generated from the following files:

- fairmq/tools/Semaphore.h
- fairmq/tools/Semaphore.cxx

privacy